Loading...
Searching...
No Matches
restinio::easy_parser::impl::particular_symbol_predicate_t Struct Reference

A predicate for cases where exact match of expected and actual symbols is required. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::particular_symbol_predicate_t:

## Public Member Functions

RESTINIO_NODISCARD bool | operator() (const char actual) const noexcept

## Public Attributes

char | m_expected

## Detailed Description

A predicate for cases where exact match of expected and actual symbols is required.

Since
  v.0.6.1

Definition at line 2197 of file easy_parser.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD bool restinio::easy_parser::impl::particular_symbol_predicate_t::operator() | ( | const char | actual | ) | const

inlinenoexcept

Definition at line 2203 of file easy_parser.hpp.

## Member Data Documentation

## m_expected

char restinio::easy_parser::impl::particular_symbol_predicate_t::m_expected

Definition at line 2199 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp